=== src/coreclr/src/ildasm/CMakeLists.txt ===
add_subdirectory(exe)
if (WIN32)
  add_subdirectory(rcdll)
endif()
