=== src/coreclr/src/binder/v3binder/CMakeLists.txt ===
add_library_clr(v3binder
    STATIC
    ${BINDER_SOURCES}
)
